Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.controls
Interface GsExpressionSearchControl<T extends com.bea.apps.groupspace.content.ContentBase>

All Superinterfaces
  ExpressionSearchControl<T>, RepoSearchControl<T>, SearchControl<T>

    public interface GsExpressionSearchControl<T extends com.bea.apps.groupspace.content.ContentBase>

extends ExpressionSearchControl<T>

This control is used to generate and execute portal Expression-based searches. It will search content in the GroupSpace repository only. Ise the CmExpressionSearchControl to search other BEA repositories. Use the ExpressionBuilder to construct expressions.

Instantiate the control in a page flow as follows:

// Expression search control across the GroupSpace repository, not typed, not annotated
`@Control`
`GsExpressionSearchControlBean gsExpressionSearchControl;`

// Search for a particular object class, "LINK"
`@Control ()`
`@GsExpressionSearchControl.SearchParams(objectClassName ="LINK", beanType=Link.class)`
GsExpressionSearchControlBean <Link> linkSearchBean;

Nested Class Summary
`static interface` | `GsExpressionSearchControl.SearchParams` Set the defaults for search parameters

Method Summary
`Set<String>` | `getBeanProperties()` Return the set of Property names available on the BeanType.
`String` | `getCommunitySearchPath(HttpServletRequest request)` Get the search path for this GroupSpace community
`String[]` | `getDefaultSearchPaths(HttpServletRequest request)` Get the search path to the user's personal data as well as the current community
`String` | `getUserSearchPath(HttpServletRequest request)` Get the search path for the current user's personal data

Methods inherited from interface com.bea.apps.groupspace.search.controls.ExpressionSearchControl
`getExpressionBuilder, search, search, search, searchAsSet, searchAsSet, searchContains, searchContainsAll, searchContainsAny, searchCount, searchDate, searchEquals, searchForOne, searchLike, searchNot, setExcludeObjectClassNames`

Methods inherited from interface com.bea.apps.groupspace.search.controls.RepoSearchControl
`getAvailableObjectClasses, getObjectClassProperties, getObjectClassPropertyDefinitions, setSearchPath, setSearchPaths`

Methods inherited from interface com.bea.apps.groupspace.search.controls.SearchControl
`asList, asSet, flushSearchCache, getSortCriteria, setSortCriteria`

Method Detail

### getBeanProperties

    Set<String> getBeanProperties()
                                  throws Exception

  Return the set of Property names available on the BeanType. todo: is this used anywhere? if not, get rid of it

  Throws
    `Exception`

### getCommunitySearchPath

    String getCommunitySearchPath(HttpServletRequest request)
                                  throws Exception

  Get the search path for this GroupSpace community

  Throws
    `Exception`

### getUserSearchPath

    String getUserSearchPath(HttpServletRequest request)
                             throws Exception

  Get the search path for the current user's personal data

  Throws
    `Exception`

### getDefaultSearchPaths

    String[] getDefaultSearchPaths(HttpServletRequest request)
                                   throws Exception

  Get the search path to the user's personal data as well as the current community

  Throws
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved